cascading.flow.stream.element

## Class SinkStage

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<TupleEntry,Void>
      - - cascading.flow.stream.element.SinkStage

- All Implemented Interfaces:
    ElementDuct

      public class SinkStage
      extends ElementStage<TupleEntry,Void>

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.element.ElementStage

      `branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next, ordinal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SinkStage(FlowProcess flowProcess, Tap sink)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bind(StreamGraph streamGraph)`
    `void` | `cleanup()`
    `void` | `complete(Duct previous)`
    `protected Object` | `getOutput()`
    `Tap` | `getSink()`
    `void` | `prepare()`
    `void` | `receive(Duct previous, TupleEntry tupleEntry)`
    `void` | `start(Duct previous)`

    - ### Methods inherited from class cascading.flow.stream.element.ElementStage

      `equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `getNext, getNextFor, initialize, receiveFirst`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SinkStage

          public SinkStage(FlowProcess flowProcess,
                   Tap sink)

  - ### Method Detail

    - #### getSink

          public Tap getSink()

    - #### bind

          public void bind(StreamGraph streamGraph)

      Overrides:
        `bind` in class `Duct<TupleEntry,Void>`

    - #### prepare

          public void prepare()

      Overrides:
        `prepare` in class `Duct<TupleEntry,Void>`

    - #### getOutput

          protected Object getOutput()

    - #### start

          public void start(Duct previous)

      Overrides:
        `start` in class `Duct<TupleEntry,Void>`

    - #### receive

          public void receive(Duct previous,
                     TupleEntry tupleEntry)

      Overrides:
        `receive` in class `Stage<TupleEntry,Void>`

    - #### complete

          public void complete(Duct previous)

      Overrides:
        `complete` in class `Duct<TupleEntry,Void>`

    - #### cleanup

          public void cleanup()

      Overrides:
        `cleanup` in class `ElementStage<TupleEntry,Void>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.